org.bdgenomics.adam.rdd

# GenomicRegionPartitioner

###
Related Docs: object GenomicRegionPartitioner | package rdd

#### case class GenomicRegionPartitioner(partitionSize: Long, seqLengths: Map[String, Long], start: Boolean = true) extends Partitioner with Logging with Product with Serializable

A partitioner for ReferenceRegion-keyed data.

partitionSize

  The number of bases per partition.

seqLengths

  A map between contig names and contig lengths.

start

  If true, use the start position (instead of the end position) to decide which partition a key belongs to.

Linear Supertypes
Product, Equals, Logging, Partitioner, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenomicRegionPartitioner
2. Product
3. Equals
4. Logging
5. Partitioner
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenomicRegionPartitioner(partitionSize: Long, seqLengths: Map[String, Long], start: Boolean = true)

   partitionSize

     The number of bases per partition.

   seqLengths

     A map between contig names and contig lengths.

   start

     If true, use the start position (instead of the end position) to decide which partition a key belongs to.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

7. #### def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

8. #### def debug(msg: ⇒ Any): Unit

   Attributes
     protected
   Definition Classes
     Logging

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

11. #### def error(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

12. #### def error(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def getPartition(key: Any): Int

    key

      The key to get the partition index for.

    returns

      The partition that a key should map to.

    Definition Classes
      GenomicRegionPartitioner → Partitioner
    Exceptions thrown

      `IllegalArgumentException` Throws an exception if the data is not a ReferenceRegion or a tuple of (ReferenceRegion, _).

16. #### def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def info(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def info(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def isDebugEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

20. #### def isErrorEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

21. #### def isInfoEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def isTraceEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

24. #### def isWarnEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logger: Logger

    Attributes
      protected
    Definition Classes
      Logging

26. #### def loggerName: String

    Attributes
      protected
    Definition Classes
      Logging

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def numPartitions: Int

    returns

      The number of partitions described by this partitioner. Roughly the size of the genome divided by the partition length.

    Definition Classes
      GenomicRegionPartitioner → Partitioner

31. #### val partitionSize: Long

    The number of bases per partition.

32. #### val seqLengths: Map[String, Long]

    A map between contig names and contig lengths.

33. #### val start: Boolean

    If true, use the start position (instead of the end position) to decide which partition a key belongs to.

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

36. #### def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

37. #### def trace(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

43. #### def warn(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from Partitioner

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped